%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name pymongo

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.11.0
Release:        3%{?dist}
Summary:        Python driver for MongoDB

License:        Apache License, Version 2.0
URL:            http://github.com/mongodb/mongo-python-driver
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc tools/README.rst README.rst
%{python3_sitearch}/bson
%{python3_sitearch}/gridfs
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.11.0-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 3.11.0-2
- Build against Python 3.8

* Tue Sep 01 2020 Evgeni Golov 3.11.0-1
- Update to 3.11.0

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.10.1-2
- Bump release to build for el8

* Tue Jan 28 2020 Evgeni Golov - 3.10.1-1
- Initial package.
